Reward API

Permite usar los rewards acumulados por el usuario

Crear un consumo de reward

POST /internal/clients/rewards

Parameters

Name Description
amount Monto
currency_id Criptomoneda
invoice_token Token del invoice que se va usar

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

POST /internal/clients/rewards

Body

{"amount":8.5,"currency_id":"usdt","invoice_token":"XXXXXXXXX"}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"71c18ce39dc67b311cf875ffc085aaf3"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 2b3fac34-49bb-4145-b68c-3c8cc82d95e9
X-Runtime: 0.153413
Vary: Origin
Content-Length: 523

Status

200 OK

Body

{
  "data": {
    "success_url": null,
    "cancel_url": null,
    "token": "XXXXXXXXX",
    "amount": "100.0",
    "string_amount": null,
    "currency": "usdt",
    "to": null,
    "status": "checking",
    "to_and_amount": null,
    "debts": true,
    "data_to_render": {
      "amount": "91.5",
      "to": null,
      "to_and_amount": null
    },
    "data_to_qr": "",
    "config": {
      "open_wallet": false,
      "wallet_connect": false,
      "pay_with_reward": true
    },
    "data_to_wallet_connect": {
      "amount": "91.5",
      "native_token": false,
      "decimals_places": null,
      "denomination": null,
      "chain_id": "30",
      "smart_contract": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t"
    }
  }
}